package fr.titionfire.ffsaf.rest.data;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
public class CategoryFullData {
    private Long id;
    private String name;
    private Long compet;
    private Integer type;
    private List<MatchData> matches;
    private List<TreeData> trees;

    /*public static PouleFullData fromModel(PouleModel pouleModel) {
        if (pouleModel == null)
            return null;

        PouleEntity pouleEntity = PouleEntity.fromModel(pouleModel);

        return new PouleFullData(pouleEntity.getId(), pouleEntity.getName(), pouleEntity.getCompet().getId(),
                pouleEntity.getType(), pouleModel.getMatchs().stream().map(MatchData::fromModel).toList(),
                pouleEntity.getTrees().stream().map(TreeData::fromEntity).toList());
    }*/
}
